# $Revision: 1.14 $, $Date: 2011/02/05 01:12:25 $
%include	/usr/lib/rpm/macros.php
%define		_status		beta
%define		_pearname	Net_URL_Mapper
Summary:	%{_pearname} - a simple and flexible way to build nice URLs for web applications
Summary(pl.UTF-8):	%{_pearname} - prosty i elastyczny sposób tworzenia ładnie wyglądających URL-i dla aplikacji WWW
Name:		php-pear-%{_pearname}
Version:	0.9.1
Release:	1
License:	New BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	0d27b8d5a6a3e38b310807f2fcee996f
URL:		http://pear.php.net/package/Net_URL_Mapper/
BuildRequires:	php-pear-PEAR >= 1:1.4.3
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-Net_URL >= 1.0.14
Requires:	php-pear-PEAR-core >= 1:1.4.3
Obsoletes:	php-pear-Net_URL_Mapper-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net_URL_Mapper provides a simple and flexible way to build nice URLs
for your web applications.

The URL syntax is similar to what can be found in Ruby on Rails or
Python Routes module and as such, this package can be compared to what
they call a router.

Still, Net_URL_Mapper does not perform the dispatching like these
frameworks and therefore can be used with your own router.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Net_URL_Mapper udostępnia prosty i elastyczny sposób tworzenia ładnie
wyglądających adresów URL dla aplikacji WWW.

Składnia URL-a jest zbliżona do tej jaką można spotkać w Ruby on Rails
czy module Routes języka Python i w związku z tym pakiet ten może być
porównany z tym co nazywane jest tam routerem.

Mimo to, w odróżnieniu od wspomnianych frameworków, Net_URL_Mapper nie
zajmuje się przekazywaniem zapytań i w związku z tym może być użyty
wraz z osobnym routerem.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/Net/URL
%{php_pear_dir}/Net/URL/Mapper
%{php_pear_dir}/Net/URL/Mapper.php

%{php_pear_dir}/data/%{_pearname}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_URL_Mapper.spec,v $
Revision 1.14  2011/02/05 01:12:25  sparky
- corrected lang tag in %description

Revision 1.13  2011/02/05 00:59:42  sparky
- corrected lang tag in Summary

Revision 1.12  2011/01/23 01:22:33  sparky
- tests are no longer installed - don't try to remove them

Revision 1.11  2010/11/15 16:00:45  glen
- up to 0.9.1

Revision 1.10  2010/08/22 08:51:18  glen
- ensure rpmbuild macros present

Revision 1.9  2010/08/21 19:09:23  glen
- updated deps with pearize.sh
- release 6

Revision 1.8  2008/05/24 08:42:06  adamg
- release 5 (updated PEAR deps)

Revision 1.7  2008-05-23 19:59:03  adamg
- PEAR epoch

Revision 1.6  2008-05-23 19:53:10  adamg
- PEAR-core is enough

Revision 1.5  2008-04-01 21:29:40  qboosh
- pl fixes

Revision 1.4  2008-01-31 12:17:05  glen
- rel 4

Revision 1.3  2007-12-27 14:07:28  glen
- rel 3

Revision 1.2  2007-12-27 14:07:14  glen
- missing dir

Revision 1.1  2007-09-02 21:24:01  adamg
- new
